#
# spec file for package screengen
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org
#


%define bversion    20150803
Name:           screengen
Version:        1.9
Release:        1.6
Summary:        Screenlist Generator
License:        GPL-3.0
Group:          Productivity/Multimedia/Video/Players
Url:            http://www.kochkin.tk/doku.php/screengen/start
Source0:        http://www.kochkin.tk/screengen/devel/%{name}-%{version}-%{bversion}.tar.bz2
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(QtCore) >= 4.8
BuildRequires:  pkgconfig(QtGui) >= 4.8
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libavutil) = 54.31.100
BuildRequires:  pkgconfig(libswscale) = 3.1.101
# The program use it by default.
Requires:       liberation-fonts
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Creates screenlist from a video file using ffmpeg-libs.
Console application (no GUI).
All parameters are specified on the command line or in the configuration
file.

%prep
%setup -q -n %{name}
# Avoid /usr/bin/perl dependency.
chmod -x example-scripts/screengen-*

%build
qmake \
    QMAKE_CFLAGS+="%{optflags}" \
    QMAKE_CXXFLAGS+="%{optflags}" \
    QMAKE_STRIP="true"
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING example-scripts/
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Thu Aug 11 2016 lazy.kent@opensuse.org
- Update to 1.9.
  * Fixed deprecated call of FFMpeg (2.4.3).
- Correct URL and source URL.
* Sat Sep 13 2014 lazy.kent@opensuse.org
- Update to 1.8.
  * Change console output.
  * Change default aspect ratio to DAR (Display Aspect Ratio).
  * Added parameter "maxRows" if use parameter "timeStep".
  * Added parameter "version".
  * Added parameter "stampStart".
  * Added example scripts.
- Add Requires: liberation-fonts. The program use it by default.
- Install example scripts and desktop files to docs.
* Sun Sep  1 2013 lazy.kent@opensuse.org
- Update to 1.7.
  * Fix segmentation fault if open error videofile, if not exists
    video stream or video codec.
  * Video Codec names fixed.
  * Added parameter "timeStep".
* Thu Nov 22 2012 lazy.kent@opensuse.org
- Update to 1.6.
  * Fix segmentation fault if audio not present in video file.
  * Added parameters "presetsList" and "presetInfo".
* Sat Oct 20 2012 lazy.kent@opensuse.org
- Update to 1.5.
  * Added parameters "frameBox", "frameBoxColor", "stampDescr",
    "stampDescrPos".
  * All color parameters (except shadows) support alpha channel
    (may be to set to "R,G,B,A").
  * Fix errors.
- Changes in 1.4.
  * Disable log messages from ffmpeg-libs.
  * Added parameters "fontFrameShadowOffset", "fontFrameShadowInt",
    "fontFrameShadowColor" for timestamp shadow.
- Changes in 1.3.2.
  * Added parameter "outFolder".
  * Change logic for save output file - saved in current folder or
    in folder from parameter "outFolder".
- Changes in 1.3.
  * Change algorithm shadow create.
  * Added parameters "infoShadowOffset", "infoShadowInt",
    "infoShadowColor" for text in header.
  * Added parameters "logoFile", "logoShadowOffset",
    "logoShadowInt", logoShadowColor" for logotype in header.
  * Added parameter "descr" - Custom text, located at the top of
    the header.
  * Added parameter "stampOffset" - Offset from the edge of the
    frame to the timestamp.
  * Fix errors.
* Sun Aug 19 2012 lazy.kent@opensuse.org
- Initial package created - 1.2.
